# ae9ap9 - Handle AE9/AP9 data files

Module for reading and dealing with AE9AP9 data files.

See https://www.vdl.afrl.af.mil/programs/ae9ap9/ to download the model. This is not a AE9AP9 runner.

Authors: Brian Larsen, Steve Morley Institution: Los Alamos National Laboratory Contact: balarsen@lanl.gov

Copyright 2015 Los Alamos National Security, LLC.

This module provides a convenient class for handling data from AE9/AP9 (and legacy models provided by the software).

Class

`Ae9Data`(*args, **kwargs) | Dictionary-like container for AE9/AP9/SPM data, derived from SpacePy’s datamodel

Though the class is derived from SpacePy’s SpaceData, the class also provides several methods targeted at the AE9/AP9 output. Additional functions for working with the data are provided.

Functions

`readFile`(fname[, comments]) | read a model generated file into a datamodel.SpaceData object
`parseHeader`(fname) | given an AE9AP9 output test file parse the header and return the information in a dictionary